## vim-addon-manager 0.2~bpo.1

=== src/Makefile ===
all: vim-addons.1
clean:
	rm -f vim-addons.1
vim-addons.1: vim-addons
	rd2 -r rd/rd2man-lib -o $(basename $@) $<

=== debian/changelog ===
vim-addon-manager (0.2~bpo.1) etch-backports; urgency=low

  * Rebuilt for etch.

 -- martin f. krafft <madduck@debian.org>  Thu, 26 Jul 2007 05:59:24 +0200

vim-addon-manager (0.2) unstable; urgency=low

  * uploading to unstable
  * vim-addons:
    - when files are installed or removed under doc/ run helpztags afterwards
      to regenerate help tags
    - avoid performing an action when there is no need to perform it
    - added feedback messages for the user
    - handle gracefully command line parsing errors (Closes: #420029)
  * debian/control
    - added dependency on vim-common, which ships /usr/bin/helpztags
    - added XS-Vcs-* fields

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 29 Apr 2007 11:29:11 +0200

vim-addon-manager (0.1) experimental; urgency=low

  * Initial release (closes: #409627)

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  5 Feb 2007 00:32:42 +0100

=== debian/control ===
Source: vim-addon-manager
Section: editors
Priority: extra
Maintainer: Stefano Zacchiroli <zack@debian.org>
Build-Depends: cdbs, debhelper (>= 5), rdtool
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-vim/trunk/packages/vim-addon-manager
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-vim/trunk/packages/vim-addon-manager/

Package: vim-addon-manager
Architecture: all
Depends: ruby, vim-common, ${misc:Depends}
Recommends: vim-tiny | vim | gvim
Description: manager of addons for the Vim editor
 vim-addon-manager is a tool for managing addons for the Vim
 editor.
 .
 Using the vim-addons command line the user can list the addons
 installed on its system (i.e. which are registered in the vim
 addons registry) and install or uninstall each of them in its
 per-user configuration directory (~/.vim).
 .
 Override of addons which are enabled per default on the system,
 so that they are not enabled for the current user, is possible
 too.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk

common-build-indep:: debian/stamp-local-build
debian/stamp-local-build::
	make -C src/
	touch $@

clean:: local-clean
local-clean::
	make -C src/ clean
	rm -rf debian/stamp-local-build

## vim-addon-manager 0.4

=== debian/changelog ===
vim-addon-manager (0.4) unstable; urgency=low

  * vim-addons manpage: fix typo, s/linst/list/ (closes: #446527)
  * remove TODO.Debian, the only item was done in 0.3
  * use "status" as the default command when none is given
  * fix the license header of the vim-addons main executable to GPL v3

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 29 Nov 2007 14:26:52 +0100

vim-addon-manager (0.3) unstable; urgency=low

  * debian/control
    - better long description
  * debian/copyright
    - change license to GPL 3 or above, fixed source file headers accordingly
  * vim-addons
    - add 'show' command which show in a 822-like format a more detailed
      report of each addons and its status (closes: #438154)
    - add '-q' option which make the output of the 'status' command more
      parsable and only show addons wrt the current execution mode
      (system-wide or not)
  * add bash completion script contributed by Antonio Terceiro
    (closes: #440843); fix debian/*.install accordingly

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 24 Sep 2007 10:24:22 +0200

=== debian/control ===
Source: vim-addon-manager
Section: editors
Priority: extra
Maintainer: Stefano Zacchiroli <zack@debian.org>
Build-Depends: cdbs, debhelper (>= 5), rdtool
Standards-Version: 3.7.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-vim/trunk/packages/vim-addon-manager
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vim/trunk/packages/vim-addon-manager/

Package: vim-addon-manager
Architecture: all
Depends: ruby, vim-common, ${misc:Depends}
Recommends: vim-tiny | vim | gvim
Description: manager of addons for the Vim editor
 vim-addon-manager is a tool for managing addons for the Vim
 editor.
 .
 Using the vim-addons command line the user can list the addons
 installed on its system (i.e. which are registered in the vim
 addons registry) and install or uninstall each of them in its
 per-user configuration directory (~/.vim).  Similar actions can
 be performed by the system administrator to affect all system
 users.
 .
 Override of addons which are enabled per default on the system,
 so that they are not enabled for the current user, is possible
 too.

## vim-addon-manager 0.4.3

=== debian/changelog ===
vim-addon-manager (0.4.3) unstable; urgency=low

  * Don't try to remove “/path/to/addons/.”.  (Closes: #566186)
  * Do not regenerate the helptags after removing the last
    documentation-providing addon.  Simply remove the docs directory instead.

 -- James Vega <jamessan@debian.org>  Thu, 21 Jan 2010 23:55:41 -0500

vim-addon-manager (0.4.2) unstable; urgency=low

  * debian/control:
    - Add myself as an uploader
    - Update Vcs-* fields to point to git
    - Remove vim-tiny from Recommends since it's lacking +eval which most
      addons need.
  * Rename amend sub-command to enable.  Leave amend as an undocumented
    command for a little while for people that are used to the old name.
    (Closes: #501439)
  * Remove empty directories left behind when removing addons.
  * Include the target directory in the install/remove informational messages.
    (Closes: #499563)
  * Fix a spelling error in vim-addons(1).
  * Add a man page describing the registry file format.  (Closes: #457040)

 -- James Vega <jamessan@debian.org>  Wed, 20 Jan 2010 19:23:04 -0500

vim-addon-manager (0.4.1) unstable; urgency=low

  * bump Standards-Version, no changes needed
  * set "Debian Vim Maintainers" as Maintainer, no Uploaders for the
    moment. So long.

 -- Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Tue, 21 Jul 2009 13:19:28 +0200

## vim-addon-manager 0.4.3ubuntu0.10.04.0

=== debian/changelog ===
vim-addon-manager (0.4.3ubuntu0.10.04.0) lucid-proposed; urgency=low

  * Apply patch from Chris Lasher fixing incorrect handling
    in the remove command for ~/.vim being a symlink. Thanks,
    Chris! (LP: #802036)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 18 Jul 2011 16:52:11 -0400

## vim-addon-manager 0.4.3ubuntu0.10.10.0

=== debian/changelog ===
vim-addon-manager (0.4.3ubuntu0.10.10.0) maverick-proposed; urgency=low

  * Apply patch from Chris Lasher fixing incorrect handling
    in the remove command for ~/.vim being a symlink. Thanks,
    Chris! (LP: #802036)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 18 Jul 2011 16:52:11 -0400

## vim-addon-manager 0.4.3ubuntu0.11.04.0

=== debian/changelog ===
vim-addon-manager (0.4.3ubuntu0.11.04.0) natty-proposed; urgency=low

  * Apply patch from Chris Lasher fixing incorrect handling
    in the remove command for ~/.vim being a symlink. Thanks,
    Chris! (LP: #802036)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 18 Jul 2011 16:52:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: vim-addon-manager
 Section: editors
 Priority: extra
-Maintainer: Stefano Zacchiroli <zack@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
+Uploaders: James Vega <jamessan@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), rdtool
-Standards-Version: 3.7.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-vim/trunk/packages/vim-addon-manager
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-vim/trunk/packages/vim-addon-manager/
+Standards-Version: 3.8.2
+Vcs-Git: git://git.debian.org/git/pkg-vim/vim-addon-manager.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vim/vim-addon-manager.git
 
 Package: vim-addon-manager
 Architecture: all
-Depends: ruby, vim-common, ${misc:Depends}
-Recommends: vim-tiny | vim | gvim
+Depends: ruby,
+# Need vim-common for helpztags
+ vim-common, ${misc:Depends}
+Recommends: vim | gvim
 Description: manager of addons for the Vim editor
  vim-addon-manager is a tool for managing addons for the Vim
  editor.

## vim-addon-manager 0.4.3ubuntu1

=== debian/changelog ===
vim-addon-manager (0.4.3ubuntu1) oneiric; urgency=low

  * Apply patch from Chris Lasher fixing incorrect handling
    in the remove command for ~/.vim being a symlink. Thanks,
    Chris! (LP: #802036)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 18 Jul 2011 16:52:11 -0400

## vim-addon-manager 0.4.4

=== debian/changelog ===
vim-addon-manager (0.4.4) unstable; urgency=low

  * Correct a check when removing an addon to avoid getting into a loop when
    the target directory is a symlink.  (Closes: #634379)

 -- James Vega <jamessan@debian.org>  Sun, 11 Sep 2011 11:09:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vim-addon-manager
 Section: editors
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
 Uploaders: James Vega <jamessan@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), rdtool
 Standards-Version: 3.8.2

## vim-addon-manager 0.5.0

=== debian/changelog ===
vim-addon-manager (0.5.0) unstable; urgency=low

  * Addons now can now use a new layout: instead of having its files symlinked
    into the target dir, they can install all their files into a single
    directory that will be installed in the target dir and added to the vim
    runtimepath. This feature is not complete yet, and will be finished with
    the next release.
  * New maintainer = myself.
  * Turn vim-addon-manager into a proper Ruby package. This should have no
    impact on end users, though. The source layout was changed to:
    + library code in lib/
    + main program in bin/
    + src/Makefile moved to doc/Makefile; debian/rules and the Makefile itself
      changed accordingly.
  * Migrate to gem2deb. This adds support for having Ruby 1.9 as /usr/bin/ruby
    (Closes: #655245)
  * Bumped Standards-Version to 3.9.2. No changes needed.
  * Avoid installing manpage sources into /usr/share/doc. Only install
    doc/*.txt instead.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 22 Jan 2012 20:20:04 -0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: editors
 Priority: extra
 Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
-Uploaders: James Vega <jamessan@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), rdtool
-Standards-Version: 3.8.2
+Uploaders: Antonio Terceiro <terceiro@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), rdtool, gem2deb (>= 0.2.13~), rake, cucumber, ruby-rspec, vim-common
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-vim/vim-addon-manager.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vim/vim-addon-manager.git
+XS-Ruby-Versions: all
 
 Package: vim-addon-manager
 Architecture: all

## vim-addon-manager 0.5.2

=== debian/changelog ===
vim-addon-manager (0.5.2) unstable; urgency=low

  * New upload to remove `tags` file accidentally included in the source
    package.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 30 Oct 2012 18:51:40 +0100

vim-addon-manager (0.5.1) unstable; urgency=low

  [ James McCoy ]
  * Fix calls to override_file and logger.info.  (Closes: #681870)

  [ Antonio Terceiro ]
  * Fix regression that caused bash completion file to not be installed.
  * Fix bash completion function to work with alternative program names

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 30 Oct 2012 16:39:20 +0100

## vim-addon-manager 0.5.3

=== debian/changelog ===
vim-addon-manager (0.5.3) unstable; urgency=low

  [ James McCoy ]
  * Use a standard directory mode when installing an addon as root.  (Closes:
    #680624)
  * Fallback to using getent if $HOME isn't set.  Thanks to Helmut Grohne for
    the patch.  (Closes: #726329)
  * Write each element of override_lines to 000-vim-addons.vim instead of a
    stringified version of the array.  (Closes: #731191)
  * Lintian:
    - ancient-standards-version: Bump to 3.9.5, no changes needed.
    - vcs-field-not-canonical: Update Vcs-* to canoncial URLs.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 03 Dec 2013 14:43:47 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: editors
 Priority: extra
 Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>, James McCoy <jamessan@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), rdtool, gem2deb (>= 0.2.13~), rake, cucumber, ruby-rspec, vim-common
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-vim/vim-addon-manager.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vim/vim-addon-manager.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-vim/vim-addon-manager.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vim/vim-addon-manager.git
 XS-Ruby-Versions: all
 
 Package: vim-addon-manager

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_install:
	dh_auto_install
	make -C doc/

override_dh_auto_clean:
	dh_auto_clean
	make -C doc/ clean

## vim-addon-manager 0.5.4

=== debian/changelog ===
vim-addon-manager (0.5.4) unstable; urgency=medium

  * Port test suite to Rspec 3 (Closes: #797262)
  * install bash completions to usr/share/bash-completion/completions

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 05 Sep 2015 09:22:14 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, James McCoy <jamessan@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), rdtool, gem2deb (>= 0.2.13~), rake, cucumber, ruby-rspec, vim-common
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-vim/vim-addon-manager.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vim/vim-addon-manager.git
 XS-Ruby-Versions: all

## vim-addon-manager 0.5.5

=== debian/changelog ===
vim-addon-manager (0.5.5) unstable; urgency=medium

  * remove bash completion from /etc/ (which was previosly a configuration
    file) on upgrades (Closes: #798400)
  * Switch Vcs-* to https URLs
  * Bump debhelper compatibility level to 9
  * debian/control:
    - wrap-and-sort --wrap-always
    - add Testsuite: autopkgtest-pkg-ruby
  * debian/rules: check dependencies (for when we actually have any)
  * debian/vim-addon-manager.links: wrap-and-sort

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 16 Feb 2016 16:01:47 -0200

=== debian/control ===
Source: vim-addon-manager
Section: editors
Priority: extra
Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           James McCoy <jamessan@debian.org>
Build-Depends: cucumber,
               debhelper (>= 9),
               gem2deb,
               rake,
               rdtool,
               ruby-rspec,
               vim-common
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-vim/vim-addon-manager.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vim/vim-addon-manager.git
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: vim-addon-manager
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         vim-common,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: vim | gvim
Description: manager of addons for the Vim editor
 vim-addon-manager is a tool for managing addons for the Vim
 editor.
 .
 Using the vim-addons command line the user can list the addons
 installed on its system (i.e. which are registered in the vim
 addons registry) and install or uninstall each of them in its
 per-user configuration directory (~/.vim).  Similar actions can
 be performed by the system administrator to affect all system
 users.
 .
 Override of addons which are enabled per default on the system,
 so that they are not enabled for the current user, is possible
 too.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export GEM2DEB_TEST_RUNNER = --check-dependencies
 
 %:
 	dh $@ --buildsystem=ruby --with ruby

## vim-addon-manager 0.5.6

=== debian/changelog ===
vim-addon-manager (0.5.6) unstable; urgency=medium

  [ James McCoy ]
  * Various spelling fixes
  * AddonManager: Use multi-argument form of system to avoid shell
  * Bump Vim::AddonManager::VERSION to released version

  [ Antonio Terceiro ]
  * provide bash completion symlinks for `vim-addons` and `vam`
  * Bump Standards-Version to 3.9.8; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 14 Dec 2016 18:05:49 -0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                rdtool,
                ruby-rspec,
                vim-common
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-vim/vim-addon-manager.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vim/vim-addon-manager.git
 Testsuite: autopkgtest-pkg-ruby

## vim-addon-manager 0.5.7

=== debian/changelog ===
vim-addon-manager (0.5.7) unstable; urgency=medium

  [ David Rabel ]
  * Bump Standards-Version to 4.1.3
  * Change priority from extra to optional

  [ Antonio Terceiro ]
  * debian/rules: call debian/release-check but ignore results, as a warning.
  * Set Rules-Requires-Root: no

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 13 Jan 2018 11:08:32 -0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: vim-addon-manager
 Section: editors
-Priority: extra
+Priority: optional
 Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            James McCoy <jamessan@debian.org>
@@ -11,10 +11,11 @@
                rdtool,
                ruby-rspec,
                vim-common
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-vim/vim-addon-manager.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vim/vim-addon-manager.git
 Testsuite: autopkgtest-pkg-ruby
+Rules-Requires-Root: no
 XS-Ruby-Versions: all
 
 Package: vim-addon-manager

## vim-addon-manager 0.5.9

=== debian/changelog ===
vim-addon-manager (0.5.9) unstable; urgency=medium

  [ Ville Skyttä ]
  * Avoid leaking local variables from bash completion into the user's shell.

  [ James McCoy ]
  * Change Maintainer email to team+vim@tracker.debian.org
  * Declare compliance with Policy 4.1.5, no changes needed.

 -- James McCoy <jamessan@debian.org>  Wed, 11 Jul 2018 19:58:48 -0400

vim-addon-manager (0.5.8) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org
  * copyright: Update URLs for Format and Source
  * Bump debhelper compat to 11
  * Declare compliance with Policy 4.1.4, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 31 May 2018 19:45:39 -0400

## vim-addon-manager 0.5.10

=== doc/Makefile ===
all: vim-addon-manager.1
clean:
	rm -f vim-addon-manager.1
vim-addon-manager.1: ../bin/vim-addon-manager
	rd2 -r rd/rd2man-lib -o $(basename $@) $<

=== debian/changelog ===
vim-addon-manager (0.5.10) unstable; urgency=medium

  * Improve usage of Etc module (Closes: #923152)
  * cucumber: run against system binaries under autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 24 Feb 2019 19:22:54 -0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: vim-addon-manager
 Section: editors
 Priority: optional
-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            James McCoy <jamessan@debian.org>
 Build-Depends: cucumber,
-               debhelper (>= 9),
+               debhelper (>= 11),
                gem2deb,
                rake,
                rdtool,
                ruby-rspec,
                vim-common
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-vim/vim-addon-manager.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vim/vim-addon-manager.git
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/vim-team/vim-addon-manager.git
+Vcs-Browser: https://salsa.debian.org/vim-team/vim-addon-manager
 Testsuite: autopkgtest-pkg-ruby
 Rules-Requires-Root: no
 XS-Ruby-Versions: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export GEM2DEB_TEST_RUNNER = --check-dependencies
 
 %:
+	debian/release-check || true
 	dh $@ --buildsystem=ruby --with ruby
 
 override_dh_auto_install:

## vim-addon-manager 0.5.10ubuntu0.1

=== debian/changelog ===
vim-addon-manager (0.5.10ubuntu0.1) jammy; urgency=medium

  * Fix FTBFS with Ruby 3.2: replace deprecated File.exists with
    File.exist. Needed in jammy (Ruby3.0) as it triggers on upgrades
    to noble with (ruby3.2) via the pre-removal scripts (LP: #2078541)
    Thanks to Lucas Kanashiro who fixed that in v5.11.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 11 Nov 2024 08:48:58 +0100

## vim-addon-manager 0.5.10ubuntu1

=== debian/changelog ===
vim-addon-manager (0.5.10ubuntu1) noble; urgency=medium

  * Fix FTBFS with Ruby 3.2: replace File.exists? with File.exist?

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Feb 2024 18:21:07 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vim-addon-manager
 Section: editors
 Priority: optional
-Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            James McCoy <jamessan@debian.org>
 Build-Depends: cucumber,

## vim-addon-manager 0.5.11

=== debian/changelog ===
vim-addon-manager (0.5.11) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * Replace File.exists? calls with File.exist?

  [ James McCoy ]
  * Switch "ruby | ruby-interpreter" Depends to ${ruby:Depends}
  * Upgrade to debhelper-compat 13
  * Declare compliance with Policy 4.6.2, no changes required
  * Add executables to gemspec so dh_ruby detects them

 -- James McCoy <jamessan@debian.org>  Sun, 25 Feb 2024 16:53:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: vim-addon-manager
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
+Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            James McCoy <jamessan@debian.org>
 Build-Depends: cucumber,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                gem2deb,
                rake,
                rdtool,
                ruby-rspec,
                vim-common
-Standards-Version: 4.1.5
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/vim-team/vim-addon-manager.git
 Vcs-Browser: https://salsa.debian.org/vim-team/vim-addon-manager
 Testsuite: autopkgtest-pkg-ruby
@@ -22,7 +21,7 @@
 Package: vim-addon-manager
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${ruby:Depends},
          vim-common,
          ${misc:Depends},
          ${shlibs:Depends}

## vim-addon-manager 0.5.11build1

=== debian/changelog ===
vim-addon-manager (0.5.11build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:56:00 +0100
